PartDesign Körper

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page PartDesign Body and the translation is 88% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română
Arrow-left.svg Group.svg Gruppe Vorherige:
Nächste: Skizze erstellen PartDesign NewSketch.png Arrow-right.svg

Official icon not found PartDesign Körper

Menüeintrag
Part Design → Erstelle Körper
Arbeitsbereich
PartDesign
Standardtastenkürzel
None
In der Version eingeführt
0.17
Siehe auch
Std Part, Funktion bearbeiten


Beschreibung

Ein PartDesign Körper ist das Basiselement, um mit der PartDesign Arbeitsbereich Festkörper zu erzeugen. Es kann Skizzen, Bezugsobjekte und PartDesign Formelementen enthalten, die bei der Erstellung eines einfach zusammenhängender Festkörper helfen.

Der Körper bietet ein Ursprung Objekt, das lokale X-, Y- und Z-Achsen sowie Standardebenen enthält. Diese Elemente können als Referenzen verwendet werden, um Skizzen und Grundobjekte anzuheften.

Seit dem der Körper ein einfach zusammenhängender Festkörper sein soll, kann er als Einheit komplett bewegt werden, ohne die einzelnen Formelemente zu bewegen. Mehrfache Körper können innerhalb Std Parts platziert werden, um Baugruppen zu erstellen.

PartDesign Body tree.png PartDesign Body example.png

Links: die Baumansicht, die die Merkmale zeigt, die nacheinander die endgültige Form des Objekts erzeugen. Rechts: das endgültige Objekt, das in der 3D Ansicht sichtbar ist.


Gebrauch

Wenn kein vorhergehender Körper ausgewählt ist:

  1. Drücke die PartDesign Body.svg Body Taste. Es wird ein leerer Körper erzeugt, der automatisch zu

aktiv wird.

  1. Jetzt kannst Du PartDesign NewSketch.svg Neue Skizze drücken um

eine Skizze im Körper zu erstellen, die mit PartDesign Pad.svg Polster. verwendet werden kann.

  1. Alternativ füge ein Grundelement PartDesign Formelemente hinzu, zum Beispiel PartDesign AdditiveBox.svg Additive box.

Wenn ein Festkörperobjekt ausgewählt ist:

  1. Drücke die PartDesign Body.svg Körper Taste. Es wird ein neuer Körper erzeugt, der ein einzelnes Base Feature enthält. Dieses Basis Formelement ist eine einfache Referenz auf ein anderes Objekt, das zuvor erstellt oder in das Dokument importiert wurde. Siehe Basis Formelement für weitere Informationen. Ein vorhandener Körper oder PartDesign Formelement kann nicht ausgewählt werden, wenn Du PartDesign Body.svg Körper drückst.

Hinweise

  • Wenn kein Körper derzeit existiert, wenn PartDesign NewSketch.svg Neue Skizze gedrückt wird, wird automatisch ein neuer Körper erzeugt.

Wenn ein Körper bereits existiert, muss er vor der Verwendung von PartDesign NewSketch.svg Neue Skizze aktiv gemacht werden.

  • Doppelklicke auf den Körper in der Baumansicht oder öffne das Kontextmenü (Rechtsklick) und wähle Aktiven Körper umschalten, um den Körper zu aktivieren oder zu deaktivieren. Wenn ein anderer Körper aktiv ist, wird er deaktiviert. Siehe active status für weitere Informationen.

Eigenschaften

Ein PartDesign Körper (PartDesign::Body Klasse) wird von einer Part Formelement abgeleitet. (Part::Feature Klasse), daher teilt sie alle Eigenschaften der letzteren.

Zusätzlich zu den unter Part Formelementen beschriebenen Eigenschaften hat der PartDesign Körper die folgenden Eigenschaften im Eigenschaftseditor.

Daten

Base

  • Daten-EigenschaftSpitze: das PartDesign Formelement, das als "Spitze" definiert ist, welches normalerweise das letzte im Körper erzeugte Formelement ist. Die Spitze zeigt die endgültige Form des Körpers an, die in der 3D Ansicht angezeigt wird, wenn ViewAnzeigemodus Körper auf Spitze gesetzt ist. Siehe Spitze für weitere Informationen.
  • Daten-EigenschaftBasis Formelement: eine externe Form, die als die erste PartDesign Formelement im Körper verwendet wird. Sie wird normalerweise beim Ziehen eines Festkörpers in einen leeren Körper gesetzt. Wenn auf diese Weise kein Festkörper importiert wird, ist diese Eigenschaft leer. Siehe Basis Formelement für weitere Informationen.
  • Daten-EigenschaftPlatzierung: die Position des Objekts in der 3D Ansicht. Die Platzierung wird durch einen Basis Punkt (Vektor) und eine Drehung (Achse und Winkel) definiert.. Siehe Platzierung.
  • Daten-EigenschaftGruppe: eine Liste mit den PartDesign Formelemente im Körper.

Versteckte Eigenschaften

  • DataOrigin (Link): the App Origin object that is the positional reference for all elements listed in DataGroup.
  • Data_ Group Touched (Bool): whether the group is touched or not.

Also the hidden properties described in Part Feature.

Ansicht

Base

  • Ansicht EigenschaftAnzeige Modus Körper: stellt den Anzeigemodus speziell für den Körper mit einem von zwei Typen ein.
    • Durch (Standard) legt alle Objekte innerhalb des Körpers frei, das ist /de|Skizze, PartDesign Formelemente, Bezugsobjekte usw. Dieser Modus ermöglicht die Veranschaulichung von Teiloperationen, die innerhalb des Körpers durchgeführt werden, und ist daher der empfohlene Modus beim Hinzufügen und Bearbeiten von Formelementen.

Wähle das spezifische Formelement und setze Ansicht EigenschaftSichtbarkeit auf {{{TRUE}}} oder drücke die Space Leertaste auf der Tastatur.

    • Spitze stellt nur die endgültige Form des Körpers dar, die durch die Eigenschaft Daten-EigenschaftSpitze definiert ist. Alles andere, einschließlich Skizzen, Teil Formelemente, Bezugspunkte usw., wird nicht angezeigt, auch wenn sie in der Baumansicht sichtbar sind. Dieser Modus wird empfohlen, wenn der Körper nicht weiter modifiziert werden muss, so dass eine festgelegte Form angezeigt wird. Dieser Modus wird auch empfohlen, wenn Du die Unterelemente (Knoten, Kanten und Flächen) der endgültigen Form auswählen möchtest, um sie mit den Werkzeugen anderer Arbeitsbereiche zu verwenden.

Körper Konzept

Einzeln zusammenhängender Körper

Ein PartDesign Körper ist dazu gedacht, einen einzelnen, zusammenhängenden Festkörper zu modellieren. Die Bedeutung von "zusammenhängend" ist ein Element, das aus einem Stück gefertigt ist, ohne bewegliche Teile oder getrennte Körper. Beispiele für zusammenhängenden Festkörper sind solche, die aus einem einzigen Stück Rohmaterial durch einen Prozess des Gießens, Schneidens oder Fräsens hergestellt werden. Zum Beispiel bestehen eine Mutter, eine Unterlegscheibe und ein Bolzen jeweils aus einem einzigen massiven Stück Stahl ohne bewegliche Teile, so dass sie von einem PartDesign Körper modelliert werden können. Objekte, die durch Schweißen von zwei Teilen erzeugt werden, können auch durch einen einzigen Körper modelliert werden, solange die Schweißverbindung nicht beabsichtigt auseinander zu brechen.

Sobald diese zusammenhängenden Festkörper in irgendeiner Art von Anordnung zusammengesetzt sind, werden sie zu einer "Baugruppe". In einer Baugruppe werden die Objekte nicht miteinander verschmolzen, sondern sie werden einfach "gestapelt" oder nebeneinander platziert und bleiben Einzelteile.

PartDesign Body contiguous separate.png PartDesign Body contiguous assembly.png

Links: drei einzelne, zusammenhängende Festkörper, die jeweils durch einen PartDesign Körper modelliert werden. Rechts: die einzelnen Körper, die zu einer Baugruppe zusammengefügt werden.


Formelementbearbeitung

Ein PartDesign Körper soll funktionieren, indem ein erster Festkörper entweder aus einer Skizze oder aus einer Grundform erstellt und dann durch "Formelemente" geändert wird, um Material zur vorherigen Form hinzuzufügen oder zu entfernen. Für eine vollständige Erklärung gehe zu Formelementbearbeitung.

Ein PartDesign Körper führt eine automatische Verschmelzung (Vereinigung) der festen Elemente in seinem Inneren aus . Das bedeutet, dass (1) Teilkörper sich beim Erstellen berühren sollten und (2) getrennte Körper nicht erlaubt sind.

PartDesign Body two intersection.png PartDesign Body two fusion.png

Links: zwei einzelne Festkörper, die sich gegenseitig schneiden. Rechts: ein einzelner PartDesign Körper mit zwei Additive Formelemente; sie werden automatisch miteinander verschmolzen, so dass sie, anstatt sich zu schneiden, einen einzelnen, zusammenhängenden Festkörper bilden.


PartDesign Body non-contiguous.png

Links: zwei getrennte Festkörper; dies ist kein gültiger PartDesign Körper. Rechts: zwei sich berührende Festkörper; dies ergibt einen gültigen PartDesign Körper. Das neuere Formelement sollte immer das vorherige Formelement berühren oder schneiden, so dass es mit diesem verschmolzen wird und zu einem einzigen zusammenhängenden Festkörper wird.


Hinweis: andere CAD Programme wie Catia erlauben zusammenhängende Körper im gleichen " Körper". Ab v0.19 erlaubt FreeCAD dies nicht mehr. Es gab Diskussionen im FreeCAD Forum über die Aufhebung dieser Einschränkung, aber es wurde noch keine konkrete Entscheidung getroffen. Wenn Du mehr wissen möchtest oder andere Standpunkte vertreten möchtest, diskutiere bitte im Forum.

Ausführliche Erläuterung der Eigenschaften

Aktiver Status

Ein geöffnetes Dokument kann mehrere Körper enthalten. Um ein neues Formelement zu einem bestimmten Körper hinzuzufügen, muss es aktiv gemacht werden. Ein aktiver Körper wird in der Baumansicht mit der Hintergrundfarbe angezeigt, die durch den Wert aktiver Behälter im Einstellungseditor angegeben wird. (standardmäßig hellblau). Ein aktiver Körper wird ebenfalls fett dargestellt.

Um einen Körper zu aktivieren oder zu deaktivieren:

  • Doppelklicke auf ihn in der Baumansicht, oder
  • Öffne das Kontextmenü (Rechtsklick) und wähle Aktiven Körper umschalten.

Beim Aktivieren eines Körpers wird automatisch in den PartDesign Arbeitsbereich umgeschaltet. Es kann jeweils nur ein Körper zu einer Zeit aktiv sein.

PartDesign Body active.png

Dokument mit zwei PartDesign Körpern, von denen der zweite aktiv ist.


Ursprung

Der Ursprung besteht aus den drei Standardachsen (X, Y, Z) und drei Standardebenen (XY, XZ und YZ). An diese Elemente können bei der Erstellung Skizzen und andere Objekte angebunden werden.

  1. Erstelle den Körper.
  2. Wenn der Körper in der Baumansicht ausgewählt ist, drücke PartDesign NewSketch.svg Neue Skizze; das Aufgaben Paneel wird geöffnet, um die Auswahl einer der Ebenen zu ermöglichen.
  3. Wenn der Körper nicht ausgewählt ist, wähle stattdessen den Ursprung und mache ihn in der 3D Ansicht sichtbar, indem Du die Space Leiste in der Tastatur drückst. Erweitere auch das Ursprungsobjekt, um die Achsen und Ebenen zu sehen.
  4. Wähle eine der Ebenen aus, entweder in der Baumansicht oder in der 3D Ansicht, und drücke dann PartDesign NewSketch.svg Neue Skizze. Die Skizze wird auf der gewählten Ebene erstellt.

Das gleiche Verfahren kann bei der Erzeugung von Hilfsbezugsgeometrie wie PartDesign Linien, PartDesign Ebenen und PartDesign KoordinatenSysteme verwendet werden.

Hinweis: der Ursprung ist ein Objekt der Klasse App::Origin, während die Achsen und Ebenen Objekte vom Typ App::Line bzw. App::Plane sind. Jedes dieser Elemente kann mit der Space Leiste einzeln ein- und ausgeblendet werden; dies ist nützlich, um bei der Erstellung anderer Objekte die richtige Referenz zu wählen.

Hinweis 2: alle Elemente innerhalb des Körpers werden auf den Ursprung des Körpers referenziert, was bedeutet, dass der Körper in Bezug auf das globale Koordinatensystem bewegt und gedreht werden kann, ohne die Platzierung der Elemente innerhalb des Körpers zu beeinflussen.

PartDesign Body Origin tree.png PartDesign Body Origin view.png

Links: PartDesign Körper Ursprung in der Baumansicht. Rechts: Darstellung der Ursprung Elemente in der 3D Ansicht.


Basis Formelement

Das Basis Formelement ist das erste PartDesign Formelement im Körper, wenn der Körper auf einer anderen Festkörperform basiert. Dieser Festkörper kann von einem beliebigen Arbeitsbereich erzeugt oder aus einer externen Datei, z.B. einer STEP Datei, importiert werden.

PartDesign Body BaseFeature tree.png

PartDesign Körper, jeder von ihnen mit einem einzelnen Basis Formelement, die von zuvor erzeugten Festkörpern übernommen werden.


Um das Basis Formelement zu erzeugen:

  1. Wähle eine Festkörperform außerhalb eines beliebigen Körpers aus und
  2. drücke PartDesign Body.svg Körper; dies erzeugt einen neuen Körper mit einem einzelnen Basis Formelement.

Note: Du kannst keinen vorhandenen Körper oder eines seiner Formelemente auswählen, wenn Du PartDesign Body.svg Körper drückst.

Wenn du bereits einen Körper hast, kannst du das Basis Formelement auf diese Weise erzeugen:

  • Wähle in der Baumansicht ein Objekt aus und ziehe es innerhalb des Körpers, oder
  • Im Eigenschaftseditor bearbeite den Wert von Daten-EigenschaftBasis Formelement, indem Du die Ellipse ... drückst und ein Objekt aus der Liste auswählst. In diesem Fall kannst Du einen vorhandenen Körper als Basis Formelement auswählen.

Hinweis: Ziehen und Ablegen funktioniert nur bei Körpern, die noch kein Basis Formelement haben.

Hinweis 2: Wenn der Körper bereits mehrere Formelemente hat, wird das Basis Formelement beim Ziehen und Ablegen des externen Festkörpers am Anfang der Liste der Formelemente erzeugt, d. h. es wird am Anfang der Daten-EigenschaftGruppe Eigenschaft hinzugefügt.

Das Basis Formelement ist vollkommen optional; es ist nur dann vorhanden, wenn ein Objekt von außerhalb des Körpers einbezogen wird. Wenn kein externer Festkörper enthalten ist, kannst Du Deine Form trotzdem mit Skizzen, Polster, GrundObjekte und anderen PartDesign Formelementen erstellen. In diesem Fall bleibt die Eigenschaft Daten-EigenschaftBasis Formelement leer.

PartDesign Body BaseFeature Tip.svg

Links: Bauteilkonstruktionskörper mit einem Basis Formelement, das von einem externen Festkörperobjekt übernommen wird, und viele nachfolgende PartDesign Formelemente obenauf. Rechts: Körper, der kein explizites Basis Formelement hat.


Spitze

Die Spitze ist das PartDesign Formelement, das außerhalb des Körpers freiliegt; d.h. wenn ein anderes Werkzeug aus einem beliebigen Arbeitsbereich (z.B. Part EinfacheKopie oder Part Schnitt) die Form des Körpers verwenden muss, wird es die Form der Spitze verwenden. Anders ausgedrückt, die Spitze ist die endgültige Darstellung des Körpers, als ob die parametrische Historie nicht existieren würde.

PartDesign Body Tip final.svg

Links: PartDesign Körper mit vollständiger parametrischer Historie inklusive Zwischenformelementen. Rechts: Die Spitze ist die endgültige Form, die aus dem Körper exportiert werden kann, wobei die Historie des Modells weggelassen wird.


Die Spitze wird automatisch auf das zuletzt im Körper erzeugte Formelement gesetzt. Er kann jedoch auch auf jedes der Zwischen Formelemente gesetzt werden, indem Du das Kontextmenü Baumansicht öffnest (Rechtsklick) und PartDesign MoveTip.svg Setze Spitze, wählst, oder durch Ändern des Körperwertes DataSpitze im Eigenschaftseditor.

Das Ändern der Spitze in der Tat rollt seine Geschichte zurück, wodurch es möglich wird, Funktionen hinzuzufügen, die früher hätten hinzugefügt werden sollen. Außerdem wird es einer anderen Form externen Werkzeugen ausgesetzt.

In der Baumansicht wird die Spitze des Körpers durch das PartDesign Formelement erkannt, das eine Symbol Überlagerung hat, das aus einem weißen Pfeil innerhalb eines grünen Kreises besteht.

PartDesign Body Tip tree.png

Zwei PartDesign Körper, jeder von ihnen mit PartDesign Formelementen. Die Spitze ist das letzte Formelement in ihnen und wird mit einem Überlagerungssymbol markiert.


Wechselwirkung mit anderen Arbeitsbereichen

Standardmäßig sind Objekte unter einem Körper auswählbar, was natürlich erforderlich ist, um Merkmale in PartDesign zu bearbeiten und hinzuzufügen. Die Auswahl der Funktionen eines Körpers zur Erstellung von Operationen aus anderen Arbeitsbereichen (wie Part oder Draft) wird jedoch nicht empfohlen, da die Ergebnisse unerwartet sein können; in allen Fällen wird im Ausgabefenster ein Fehler gekennzeichnet mit Links go out of the allowed scope angezeigt.

Daher sollte bei Wechselwirkungen mit anderen Arbeitsbereichen in der Baumansicht nur der Körper selbst ausgewählt werden. In Fällen, in denen es notwendig ist, bestimmte Unterelemente des Körpers (Knoten, Kanten und Flächen) auszuwählen, sollte die Eigenschaft Ansicht EigenschaftAnsichtsmodus Körper des Körpers auf Spitze umgeschaltet werden. Wenn dieser Modus aktiviert ist, ist der Zugriff auf Objekte unter dem Körper (Formelemente, Bezugspunkte, Skizzen) deaktiviert, und alles außer der Körpereigenschaft Spitze wird in der 3D-Ansicht ausgeblendet.

Sobald die Unterelemente mit anderen Arbeitsbereichen verwendet wurden, kann Ansicht EigenschaftAnzeige Modus Körper auf Durch zurückgesetzt werden.

PartDesign Body Tip Display mode.svg

Links: wenn "Anzeigemodus Körper" auf Durch gesetzt ist, ist es möglich, Operationen mit den einzelnen PartDesign Formelementen auszuwählen und durchzuführen; dies wird im Allgemeinen nicht empfohlen. Rechts: Wenn "Anzeigemodus Körper" auf Spitze gesetzt ist, werden alle am Körper vorgenommenen Auswahlen und Operationen an der Spitze ausgeführt, wobei sichergestellt wird, dass nur die endgültige Form des Körpers freigelegt wird.


Sichtbarkeitsmanagement

Die Sichtbarkeit des Körpers hat Vorrang vor der Sichtbarkeit seiner Elemente. Ist der Körper unsichtbar, sind alle Elemente unsichtbar. Ist dieser sichtbar kann immer nur ein Formelement sichtbar sein. Durch anklicken und die Leertaste schaltet man die Sichtbarkeit an oder aus.

Mehrfache Skizzen können gleichzeitig sichtbar sein, aber nur ein PartDesign Formelement (Festkörper Ergebnis) kann gleichzeitig sichtbar sein. Durch Auswahl eines ausgeblendeten Formelementes und Drücken der Space in der Tastatur wird es sichtbar und das zuvor sichtbare Formelement automatisch ausgeblendet.

PartDesign Body Visibility.png

PartDesign Körper: Mehrfache Skizzen können gleichzeitig sichtbar sein, aber nur ein Festkörper PartDesign Formelement kann gleichzeitig sichtbar sein, unabhängig davon, ob es sich um die Spitze handelt oder nicht.


Anfügung

PartDesign Formelemente, genau wie Ebene Objekte, können an unterschiedliche Ebenen angehängt werden, normalerweise an die Standardebenen, die durch die Ursprung des Körpers definiert sind, oder an benutzerdefinierte PartDesign Ebenen.

Skizzen werden normalerweise bei ihrer Erstellung an eine Ebene angehängt. Auf ähnliche Weise können auch Grundformelemente angehängt werden. Das Anhängen dieser Objekte an eine Ebene ermöglicht es, sie innerhalb des Körpers zu bewegen, indem ihre Eigenschaft Daten-EigenschaftAnfügung Versatz geändert wird. Weitere Informationen zu den Anfügemodi findest Du unter Part Anfügung.

Ein PartDesign Formelement, das nicht angehängt ist, wird mit einem roten Überlagerungssymbol neben seinem Symbol in der Baumansicht angezeigt.

PartDesign Body Feature attachment.png

PartDesign Körper: PartDesign Formelement die nicht an eine Ebene oder ein Koordinatensystem gebunden sind, werden mit einem Überlagerungssymbol neben ihrem Symbol in der Baumansicht angezeigt.


Vererbung

A PartDesign Body is formally an instance of the class PartDesign::Body, whose parent is Part Feature (Part::Feature class) through the intermediate Part::BodyBase class, and is augmented with an Origin extension.

FreeCAD core objects.svg

Vereinfachtes Diagramm der Beziehungen zwischen den Kernobjekten im Programm. Die PartDesign::Körper Objekte werden zum Aufbau parametrischer 3D Körper verwendet und sind somit vom Basisobjekt Part::Formelement abgeleitet.

Skripten

Siehe auch: FreeCAD Skripten Grundlagen, und gesKriptete Objekte.

Siehe Part Formelement für allgemeine Informationen zum Hinzufügen von Objekten zu einem Dokument.

Ein PartDesign Körper wird mit der Methode addObject() des Dokuments erstellt. Sobald ein Körper existiert, können Formelemente, wie additive und subtraktive Grundelemente, hinzugefügt und an diesen Körper angehängt werden.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("PartDesign::Body", "Body")
obj.Label = "Custom label"

feat1 = App.ActiveDocument.addObject("PartDesign::AdditiveBox", "Box")
feat2 = App.ActiveDocument.addObject("PartDesign::AdditiveCylinder", "Cylinder")

obj.addObjects([feat1, feat2])
App.ActiveDocument.recompute()

In einem Dokument, das viele Körper hat, kann der aktive Körper mit der Methode setzeAktivesObjekt der AktiveAnsicht gesetzt werden. Das erste Argument ist die feste Zeichenkette 'pdbody', und das zweite Argument ist das Körperobjekt, das aktiv gemacht werden soll.

import FreeCAD as App
import FreeCADGui as Gui

doc = App.newDocument()
obj1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
obj2 = App.ActiveDocument.addObject("PartDesign::Body", "Body")

Gui.ActiveDocument.ActiveView.setActiveObject("pdbody", obj1)
App.ActiveDocument.recompute()